1

I'm trying to install an Ethernet Card into my ubuntu 14.04 desktop computer. Here is my lspci output (Second one is my new ethernet card):

03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8053 PCI-E Gigabit Ethernet Controller (rev 15)
04:00.0 Ethernet controller: VIA Technologies, Inc. VT6120/VT6121/VT6122 Gigabit Ethernet Adapter (rev 82)

I found its driver on this link: https://driverscollection.com/?file_cid=4033090637401388678a544c5d6. And when I tried to install it, I get this error:

fatal error: asm/linkage.h: No such file or directory

I noticed that this driver supports Linux AMD64 Kernel between 2.4.x ~ 2.6.18, but my kernel version is 3.13.0-57-generic. I have searched all over the web for this problem but I could not find any working solution related to this. Without changing my current kernel version any successions, what can fix the problem?

I have already installed the linux kernel headers.

  • have you installed the kernel headers? – Jodka Lemon Jul 21 '15 at 9:49
  • Have you checked (e.g using modinfo via-velocity) that you don't already have a suitable driver already available? If not, it may be better to rebuild your kernel with it available (that's usually safer than using vendor-provided device drivers). – Toby Speight Jul 21 '15 at 13:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.